Skip to content
Last updated

Update the name or description of a knowledge slice.

PATCHhttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/slices/{slice_id}

Partially updates a knowledge slice. Only the provided fields will be modified. Requires the MANAGE_KNOWLEDGE_SLICES capability.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

slice_id string required

The unique identifier of the knowledge slice (format: kslice_*).

Request Body

name string optional

The updated name of the knowledge slice (1-255 characters).

description string optional

The updated description of the knowledge slice.


Returns

The updated knowledge slice object.

cURL
curl -X PATCH https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/slices/kslice_abc123 \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Product Docs",
    "description": "Revised product documentation"
  }'